SDL_RenderLines(3)

NAME
SDL_RenderLines - Draw a series of connected lines on the current rendering target at subpixel precision.

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_RenderLines(SDL_Renderer *renderer, const SDL_FPoint *points, int count);

FUNCTION PARAMETERS

renderer
    the renderer which should draw multiple lines.

points
    the points along the lines.

count
    the number of points, drawing count-1 lines.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_RenderLine(3)